#ifndef XGFXWORLDVERTEXLAYERDATA_H
#define XGFXWORLDVERTEXLAYERDATA_H

#include "xasset.h"
#include "xd3dvertexbuffer.h"

#include <QVector>

class XGfxWorldVertexLayerData : public XAsset
{
public:
    explicit XGfxWorldVertexLayerData();
    ~XGfxWorldVertexLayerData();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    qint32 mDataPtr;
    QVector<quint8> mData;
    XD3DVertexBuffer mLayerVb;
};

#endif // XGFXWORLDVERTEXLAYERDATA_H
